GET /v1/gold/latest

Returns one latest gold record with all supported karats. This endpoint has no query parameters.

Bearer key required JSON response

Example request

curlLatest gold
curl "https://api.exchangedz.com/v1/gold/latest" \
  -H "Authorization: Bearer $EXDZ_API_KEY"

Response

json200 OK
{
  "data": {
    "date": "2026-08-24",
    "quote": "DZD",
    "unit": "gram",
    "prices": {
      "18k": 26422.50,
      "21k": 30826.25,
      "24k": 35230
    },
    "source": "yahoo-finance-gc-f",
    "updatedAt": "2026-08-24T07:02:18.000Z"
  },
  "meta": {
    "requestId": "req_01J6EXDZ...",
    "count": 1,
    "quote": "DZD",
    "unit": "gram"
  }
}
date
The gold-market date represented by the reference.
prices
DZD reference values for one gram at 18K, 21K and 24K purity.
source
The source identifier associated with the stored gold record.
updatedAt
The latest database update timestamp for this gold record.